using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("表单授权表")]
    /// <summary>
    /// 角色授权表单
    /// </summary>
   [Redis("ROLE_ID")]
   [IgnoreT4]public class T_FM_ROLE_MENU_PERM : MesEntityBase
	{
        [Description("角色ID")]
        /// <summary>
        ///角色
        /// </summary>
        public Guid ROLE_ID { get; set; }
        [Description("是否授权")]

        /// <summary>是否授权</summary>
        public bool IS_PERMISSION { get; set; }

        [Description("授权窗体ID")]
        /// <summary>
        /// 授权窗体ID
        /// </summary>
        public Guid? PERMISSION_FORM_ID { get; set; }


        [Description("导航：角色表")]
        /// <summary>角色</summary>
        public virtual T_FM_ROLE Nav_Role { get; set; }
        [Description("导航：授权表单")]
        /// <summary>授权页面</summary>
        public virtual T_PF_FORM Nav_PermissionForm { get; set; }

        [Description("导航：授权按钮")]
        public virtual ICollection<T_FM_ROLE_MENU_PERM_BTN> Nav_PermissionBtns { get; set; }
        [Description("导航：授权列")]
        public virtual ICollection<T_FM_ROLE_MENU_PERM_COL> Nav_PermissionColumns { get; set; }

        [Description("菜单ID")]
        [FormFieldTable]
        [FormFieldEdit]
      
        public Guid? MENU_ID { get; set; }
	}
}
